FlxpointAPI Help CenterBeta

List Rmas

gethttps://api.flxpoint.com/rma

Use this when you want to pull rma data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

This endpoint will retrieve back Rmas

- Params starting with **include*** will determine the metadata returned

Request

Query parameters
  • returnIdqueryinteger

    Retrieve rma of a specific return

  • sourceIdqueryinteger

    Retrieve rma for the given sourceId

  • createdAfterquerystring (date-time)

    Filter rmas that were created after this date-time.

  • pageSizequeryinteger

    Number of entries per page

  • pageNumberqueryinteger

    Current Page

  • rmaNumbersquerystring

    rma numbers separated by a comma

  • isAccountingSyncedqueryboolean

    Filter to only include or exclude rmas that have been synced to an Accounting Integration

Example request

get/rma
curl -X GET "https://api.flxpoint.com/rma" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
array[Rma]
idinteger
returnIdinteger
sourceIdinteger
rmaNumberstring
accountIdinteger
returnToAddressobject
idinteger
namestring
Field created real-time by concatenating "firstName" and "lastName"
addressLine1string
addressLine2string
citystring
statestring
countrystring
stateCodestring
countryCodestring
postalstring
Postal / Zip Code of address
emailstring
phonestring
Free form string field, format isn't enforced
companyNamestring
firstNamestring
lastNamestring
redactedboolean
Represents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstring
Represents a unique hash of this address.
itemsarray[RmaItem]
idinteger
returnItemIdinteger
rmaIdinteger
skustring
titlestring
costnumber
returnReasonstring
returnConditionstring
notestring
quantityinteger
approvedQuantityinteger
deniedQuantityinteger
creditedAmountnumber
receivedQuantityinteger
voidedQuantityinteger
bundleComponentsarray[OrderItemBundleComponent]
idinteger
orderItemIdinteger
componentVirtualVariantIdinteger
componentQuantityinteger
quantityintegerrequired
skustring
costnumber
shippedQuantityinteger
shippedStatusCompletionStatus
allowedNot StartedPartially CompletedCompleted
allocatedQuantityinteger
allocatedStatusCompletionStatus
allowedNot StartedPartially CompletedCompleted
acknowledgedQuantityinteger
acknowledgedStatusCompletionStatus
allowedNot StartedPartially CompletedCompleted
totalRmaItemsinteger
createdAtstring (date-time)
updatedAtstring (date-time)
rmaStatusRmaStatus
allowedWaitingApprovedVoidedDeniedPartially ApprovedCanceled
rmaShipmentsarray[RmaShipment]
idinteger
rmaIdinteger
accountIdinteger
shipmentobject
idinteger
notestring
trackingUrlstring
trackingNumberstring
carrierstring
methodstring
shippedAtstring (date-time)
insertedAtstring (date-time)
shippingCostnumber
orderIdinteger
purchaseOrderIdinteger
fulfillmentRequestIdinteger
rmaIdinteger
sourceIdinteger
accountIdinteger
partialboolean
suppressedboolean
syncedToChannelboolean
syncErrorstring
crossDockPurchaseOrderIdinteger
shipmentItemsarray[ShipmentItem]
idinteger
skustring
quantityinteger
shipmentIdinteger
inventoryVariantIdinteger (int64)
partialboolean
orderItemIdinteger
purchaseOrderItemIdinteger
this field will soon be deprecated, please start using `fulfillmentRequestItemId` instead. there are basically the same thing, just there has been a terminology change.
fulfillmentRequestItemIdinteger
committedStockReleasedQuantityinteger
rmaItemIdinteger
customFieldsarray[ShipmentCustomField]
customFieldsarray[ShipmentCustomField]
idinteger
namestring
valuestring
updatedAtstring (date-time)
accountingSyncedboolean
shippingAddressobject
idinteger
namestring
Field created real-time by concatenating "firstName" and "lastName"
addressLine1string
addressLine2string
citystring
statestring
countrystring
stateCodestring
countryCodestring
postalstring
Postal / Zip Code of address
emailstring
phonestring
Free form string field, format isn't enforced
companyNamestring
firstNamestring
lastNamestring
redactedboolean
Represents if the address information was related to an Order with a PII (Personably Identifiable Information) retention policy attached. If the Order exceeds the PII retention period, this address will have information redacted.
hashstring
Represents a unique hash of this address.
attachmentsarray[RmaShipmentAttachment]
idinteger
rmaIdinteger
rmaShipmentIdinteger
attachmentTypestring
attachmentUrlstring
createdAtstring (date-time)
sentAtstring (date-time)
rmaShipmentStatusRmaShipmentStatus
allowedShipment CreatedShipment SentShipment ReceivedShipment Partially ReceivedShipment Voided
creditSubtotalnumber
creditAdjustmentnumber
creditTotalnumber
creditLastSyncedAtstring (date-time)
syncCreditChangesToOrderboolean
shipmentReceivedStatusShipmentReceivedStatus
allowednot_receivedpartially_receivedfully_received
accountingSyncedAtstring (date-time)
accountingErrorstring
Example response
[
  {
    "id": 0,
    "returnId": 0,
    "sourceId": 0,
    "rmaNumber": "string",
    "accountId": 0,
    "returnToAddress": {
      "id": 0,
      "name": "Joe Smith",
      "addressLine1": "120 1st Lane",
      "addressLine2": "Suite 123",
      "city": "Jacksonville",
      "state": "Florida",
      "country": "United States",
      "stateCode": "FL",
      "countryCode": "US",
      "postal": "12345",
      "email": "person@example.com",
      "phone": "1-555-123-4567",
      "companyName": "string",
      "firstName": "Joe",
      "lastName": "Smith",
      "redacted": true,
      "hash": "string"
    },
    "items": [
      {
        "id": 0,
        "returnItemId": 0,
        "rmaId": 0,
        "sku": "string",
        "title": "string",
        "cost": 0,
        "returnReason": "string",
        "returnCondition": "string",
        "note": "string",
        "quantity": 0,
        "approvedQuantity": 0,
        "deniedQuantity": 0,
        "creditedAmount": 0,
        "receivedQuantity": 0,
        "voidedQuantity": 0,
        "bundleComponents": [
          null
        ]
      }
    ],
    "totalRmaItems": 0,
    "createdAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "rmaStatus": "Waiting",
    "rmaShipments": [
      {
        "id": 0,
        "rmaId": 0,
        "accountId": 0,
        "shipment": {
          "id": null,
          "note": null,
          "trackingUrl": null,
          "trackingNumber": null,
          "carrier": null,
          "method": null,
          "shippedAt": null,
          "insertedAt": null,
          "shippingCost": null,
          "orderId": null,
          "purchaseOrderId": null,
          "fulfillmentRequestId": null,
          "rmaId": null,
          "sourceId": null,
          "accountId": null,
          "partial": null,
          "suppressed": null,
          "syncedToChannel": null,
          "syncError": null,
          "crossDockPurchaseOrderId": null,
          "shipmentItems": null,
          "customFields": null,
          "updatedAt": null,
          "accountingSynced": null
        },
        "shippingAddress": {
          "id": null,
          "name": "Joe Smith",
          "addressLine1": "120 1st Lane",
          "addressLine2": "Suite 123",
          "city": "Jacksonville",
          "state": "Florida",
          "country": "United States",
          "stateCode": "FL",
          "countryCode": "US",
          "postal": "12345",
          "email": "person@example.com",
          "phone": "1-555-123-4567",
          "companyName": null,
          "firstName": "Joe",
          "lastName": "Smith",
          "redacted": null,
          "hash": null
        },
        "attachments": [
          null
        ],
        "createdAt": "2026-04-20T00:00:00Z",
        "sentAt": "2026-04-20T00:00:00Z",
        "rmaShipmentStatus": "Shipment Created"
      }
    ],
    "creditSubtotal": 0,
    "creditAdjustment": 0,
    "creditTotal": 0,
    "creditLastSyncedAt": "2026-04-20T00:00:00Z",
    "syncCreditChangesToOrder": true,
    "shipmentReceivedStatus": "not_received",
    "accountingSyncedAt": "2026-04-20T00:00:00Z",
    "accountingError": "string"
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "List Rmas",
    "description": "This endpoint will retrieve back Rmas\n\n- Params starting with **include*** will determine the metadata returned",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "returnId",
        "description": "Retrieve rma of a specific return"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "sourceId",
        "description": "Retrieve rma for the given sourceId"
      },
      {
        "schema": {
          "type": "string",
          "format": "date-time"
        },
        "in": "query",
        "name": "createdAfter",
        "description": "Filter rmas that were created after this date-time."
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "pageNumber",
        "description": "Current Page"
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "rmaNumbers",
        "description": "rma numbers separated by a comma"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "isAccountingSynced",
        "description": "Filter to only include or exclude rmas that have been synced to an Accounting Integration"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/Rma"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight